INTERFACE
SUBROUTINE gpsro_TL(kdlen,kdbdy,K_IMXCOUNT,klen,K_IVNMRQ,presf5,&
 & presf5_prime,P_TF5,P_TF5_PRIME,P_QF5,P_QF5_PRIME,&
 & P_GEOPF5,P_GEOPF5_PRIME,P_ZXPP_PRIME) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY : nflevg
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDBDY
INTEGER(KIND=JPIM),INTENT(IN) :: K_IMXCOUNT
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: K_IVNMRQ(KDLEN,KDBDY)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5_PRIME(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P_TF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P_TF5_PRIME(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P_QF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P_QF5_PRIME(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P_GEOPF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P_GEOPF5_PRIME(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: P_ZXPP_PRIME(KDLEN,K_IMXCOUNT)
END SUBROUTINE gpsro_TL
END INTERFACE
